ru.bitel.bgbilling.modules.smarthouse.common.service

## Interface ForpostDirectoryService

-     public interface ForpostDirectoryService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraBrand>` | `searchCameraBrandList(java.lang.String[] sort, Page page)`
    `SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraModel>` | `searchCameraModelList(java.lang.String[] sort, Page page)`
    `void` | `syncCameraBrands()`
    `void` | `syncCameraModels()`
    `void` | `syncCameraModelsAndBrands()`

- - ### Method Detail

    - #### searchCameraBrandList

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraBrand> searchCameraBrandList(java.lang.String[] sort,
                                                                                                                           Page page)
                                                                                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### syncCameraBrands

          void syncCameraBrands()
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchCameraModelList

          SearchResult<ru.bitel.bgbilling.modules.smarthouse.common.bean.forpost.ForpostCameraModel> searchCameraModelList(java.lang.String[] sort,
                                                                                                                           Page page)
                                                                                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### syncCameraModels

          void syncCameraModels()
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### syncCameraModelsAndBrands

          void syncCameraModelsAndBrands()
                                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`